We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

.NET Framework support

I have been investigating the use of Aspose to get around some of our Office Automation problems. The kits we’re most interested in are the following:


  • Aspose.Words
  • Aspose.Cells
  • Aspose.Tasks
  • Aspose.Slides
What I would like to know is if all of these (and other components too ideally) are compatible with .NET 2.0. If they are, then can you confirm whether they are Fully functional within .NET 2.0 and that there are no features unavailable which might otherwise be available within a later version of the .NET framework?

Thanks.

Ian

Hi Ian,<?xml:namespace prefix = o ns = "urn:schemas-microsoft-com:office:office" />

Thank you for considering Aspose.

I am a representative of Aspose.Cells product team. I would like to confirm you that Aspose.Cells component is fully compatible with .NET Framework 2.0 and all its features and functionalities are supported in .NET Framework 2.0. For the rest of the component, my other colleagues will reply you soon with details regarding there team products.

Thank You & Best Regards,

Hi Ian,

Thanks for considering Aspose.Slides.

I am representing Aspose.Slides and I would like to give you a confirmation about the fact the Aspose.Slides for .NET is fully compatible with .NET frame 2.0. All functionalities of Aspose.Slides can be accessed with ease using the said version of .NET framework.

Thanks and Regards,

Hi Ian,

Aspose.Form for .NET and Aspose.Report for .NET are also fully compatible with .NET 2.0.

Best Regards,

Hi

<?xml:namespace prefix = o ns = "urn:schemas-microsoft-com:office:office" />

Thanks for your request. Aspose.Words is fully compatible with .NET 2.0. Please see the following link for more information:

http://www.aspose.com/documentation/.net-components/aspose.words-for-.net-and-java/aspose-words-for-net-system-requirements.html

Best regards.

Hi,


Thanks for your interests in Aspose.Tasks. As well as our other products Aspose.Tasks is fully compatible with .NET 2.0. We provide separate assemblies in a single setup for .NET 1.1, .NET 2.0, .NET 3.5, .NET 4.0 and .NET 4.0 Client profile but normally you can use .NET 2.0 DLL for all frameworks starting from .NET 2.0. Compatibility with .NET 3.5 and 4.0 Client Profile was tested as well.